[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

AW: [iaik-jce] IAIK-JCE installation error



Hello,

SUN´s JCE 1.2.1 only accepts signed providers. Since the IAIK provider is
not signed, you should use our JCE API implementation. So please remove
SUN´s JCE 1.2.1 from your classpath.

Regards,
Dieter Bratko

-----Ursprüngliche Nachricht-----
Von: iaik-jce-owner@iaik.tu-graz.ac.at
[mailto:iaik-jce-owner@iaik.tu-graz.ac.at]Im Auftrag von Lenda, Mariusz
Gesendet: Montag, 22. Januar 2001 15:00
An: iaik-jce@iaik.tu-graz.ac.at
Betreff: [iaik-jce] IAIK-JCE installation error


Hello,
    I´ve downloaded and installed an evaluation version of IAIK-JCE (2.61 on
Windows 2000, without
extension libraries) and get the following exception while calling
Cipher.getInstance() in my code
which is similar to the simple test for a correct installation application
supplied by IAIK:

Exception: JCE cannot authenticate the provider IAIK java.util.jar.Jar
Exception: file:/C:/IAIK-JCE2.61-eval/lib/iaik_jce.jar has unsigned class
files.

Any help will be appreciated.

Mariusz Lenda
DMC GmbH, München


--
Mailinglist-archive at
http://jcewww.iaik.at/mailarchive/iaik-jce/jcethreads.html

To unsubscribe send an email to listserv@iaik.at with the folowing content:
UNSUBSCRIBE iaik-jce




smime.p7s